[arvados] updated: 2.7.2-9-gd4219ff6b2
git repository hosting
git at public.arvados.org
Thu May 23 19:46:40 UTC 2024
Summary of changes:
build/run-build-docker-images.sh | 29 ++++++++++++++++-------------
1 file changed, 16 insertions(+), 13 deletions(-)
via d4219ff6b2802114de60c88783d9452ea0e6953c (commit)
from 84f9bd5dd6c1206b2c64717de2bec374d8d28bbd (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit d4219ff6b2802114de60c88783d9452ea0e6953c
Author: Peter Amstutz <peter.amstutz at curii.com>
Date: Tue Jan 16 16:49:10 2024 -0500
21394: Adjust how tags are pushed in build/run-build-docker-images.sh
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <peter.amstutz at curii.com>
diff --git a/build/run-build-docker-images.sh b/build/run-build-docker-images.sh
index 00ef2de417..d7ee41743f 100755
--- a/build/run-build-docker-images.sh
+++ b/build/run-build-docker-images.sh
@@ -90,25 +90,28 @@ docker_push () {
if [[ ! -z "$tags" ]]
then
- for tag in $( echo $tags|tr "," " " )
+ for tag in $(echo $tags|tr "," " " )
do
$DOCKER tag $1:$GITHEAD $1:$tag
done
fi
- # Sometimes docker push fails; retry it a few times if necessary.
- for i in `seq 1 5`; do
- $DOCKER push $*
- ECODE=$?
- if [[ "$ECODE" == "0" ]]; then
- break
- fi
+ for tag in $(echo $tags|tr "," " " )
+ do
+ # Sometimes docker push fails; retry it a few times if necessary.
+ for i in `seq 1 5`; do
+ $DOCKER push $1:$tag
+ ECODE=$?
+ if [[ "$ECODE" == "0" ]]; then
+ break
+ fi
+ done
+
+ if [[ "$ECODE" != "0" ]]; then
+ title "!!!!!! docker push $1:$tag failed !!!!!!"
+ EXITCODE=$(($EXITCODE + $ECODE))
+ fi
done
-
- if [[ "$ECODE" != "0" ]]; then
- title "!!!!!! docker push $* failed !!!!!!"
- EXITCODE=$(($EXITCODE + $ECODE))
- fi
}
timer_reset() {
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list